Skip to main content
DELETE
Delete namespace

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

namespace
string
required

Namespace identifier. This can be an ID for your user, a project ID, or any other identifier you wish to use to scope documents and memories.

Maximum string length: 100
Pattern: ^[a-zA-Z0-9_:-]+$
Example:

"user_alex"

Query Parameters

moveTo
string

Destination namespace that should receive this namespace's content before deletion. Omit to permanently delete the content.

Maximum string length: 100
Pattern: ^[a-zA-Z0-9_:-]+$
Example:

"project_archive"

Response

Namespace permanently deleted (status "deleted"). A move answers 202 with status "queued".

status
string
required

The namespace and its content are gone

Allowed value: "deleted"
namespace
string
required

Deleted namespace identifier

deletedDocumentsCount
integer
required

Number of documents permanently removed

Required range: 0 <= x <= 9007199254740991
deletedMemoriesCount
integer
required

Number of memories permanently removed

Required range: 0 <= x <= 9007199254740991